%define module_name PDL-CCS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(PDL.pm) perl(PDL/VectorValued.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.24.1
Release: alt1
Summary: Sparse N-dimensional PDLs with compressed column storage
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MO/MOOCOW/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
PDL::CCS is now just a wrapper package which pulls in a number of
submodules.  See the documentation of the respective modules for details.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README.txt README.rpod
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 1.24.1-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.23.22-alt2
- rebuild with perl 5.38

* Mon Apr 17 2023 Igor Vlasenko <viy@altlinux.org> 1.23.22-alt1
- updated by package builder

* Mon Apr 10 2023 Igor Vlasenko <viy@altlinux.org> 1.23.21-alt1
- updated by package builder

* Fri Apr 22 2022 Igor Vlasenko <viy@altlinux.org> 1.23.20-alt1
- updated by package builder

* Fri Apr 15 2022 Igor Vlasenko <viy@altlinux.org> 1.23.19-alt1
- updated by package builder

* Thu Feb 24 2022 Igor Vlasenko <viy@altlinux.org> 1.23.18-alt1
- updated by package builder

* Wed Jan 19 2022 Igor Vlasenko <viy@altlinux.org> 1.23.17-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.23.16-alt2
- rebuild with perl 5.34.0

* Tue May 04 2021 Igor Vlasenko <viy@altlinux.ru> 1.23.16-alt1
- updated by package builder

* Thu Apr 29 2021 Igor Vlasenko <viy@altlinux.ru> 1.23.15-alt1
- updated by package builder

* Tue Apr 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.23.14-alt1
- updated by package builder

* Thu Nov 19 2020 Igor Vlasenko <viy@altlinux.ru> 1.23.13-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.23.12-alt2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.23.12-alt1.1
- rebuild with perl 5.28.1

* Sun Jan 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.23.12-alt1
- initial import by package builder

